Eclipse BIRT Report Object Model (ROM)

OdaLevelAttribute Structure

# Structure Overview

### Details

Display Name: | ODA Level Attribute
Since: | 2.2

### Property Summary

dataType
name
nativeDataType
nativeName

# Property Detail

## dataType Property

### Details

Type: | choice (columnDataType)
Since: | 2.2
Required: | No
Display Name: | Data Type
JavaScript Type: |
Default Value: | string
Runtime Settable: | No

### Choices

Name | Display Name | Value | Description
integer | Integer | integer |
string | String | string |
date-time | Date Time | date-time |
decimal | Decimal | decimal |
float | Float | float |
boolean | Boolean | boolean |
date | Date | date |
time | Time | time |
blob | Blob | blob |

## name Property

### Details

Type: | string
Since: | 2.2
Required: | Yes
Display Name: | Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## nativeDataType Property

### Details

Type: | integer
Since: | 2.2
Required: | No
Display Name: | Native Data Type Code
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## nativeName Property

### Details

Type: | string
Since: | 2.2
Required: | Yes
Display Name: | Native Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No